﻿<template>
    <v-toolbar dark>
        <v-toolbar-items class="hidden-sm-and-down">
            <v-btn to="/">Home</v-btn>
            <v-btn v-if="isAdmin" to="/roles">Assign Role</v-btn>
            <v-btn v-if="isManager || isAdmin" to="/task">Task</v-btn>
            <v-btn v-if="isManager || isAdmin" to="/project">Project</v-btn>
        </v-toolbar-items>
        <v-spacer></v-spacer>
        <v-menu class="menu" offset-y open-on-hover>
            <template v-slot:activator="{ on, attrs }">
                <v-btn v-bind="attrs" icon
                        v-on="on">
                    <v-avatar>
                        <img src="https://cdn.vuetifyjs.com/images/john.jpg" />
                    </v-avatar>
                </v-btn>
            </template>
            <v-list>
                <v-list-item @click="$router.push({ name: 'Profile' }).catch(() => {})">
                    <span class="exit">Профиль</span>
                </v-list-item>
                <v-list-item @click="logout">
                    <span class="exit">Выход</span>
                </v-list-item>
            </v-list>
        </v-menu>
    </v-toolbar>
</template>

<script>
    import { mapGetters } from 'vuex'
    export default {
        name: 'Header',
        data() {
            return {
                isAdmin: false,
                isManager: false
            }
        },
        computed: {
            ...mapGetters('user', ['getRoles'])
        },
        methods: {
            logout() {
                this.$store.dispatch('auth/logout').then(() => {
                    this.$router.push({ name: 'Login' }).catch(() => {})
                })
            },
        },
        watch: {
            getRoles() {
                if (this.getRoles !== undefined) {
                    if (this.getRoles.includes('Administrator'))
                        this.isAdmin = true;
                    if (this.getRoles.includes('Manager')) {
                        this.isManager = true;
                    }
                }
            }
        }
    }
</script>

<style lang="scss">
    .v-list-item {
        cursor: pointer;
    }
</style>